Last Comment Bug 720975 - Switch to vertical layout only when the window width < 550px
: Switch to vertical layout only when the window width < 550px
Status: RESOLVED FIXED
[qa+][testday-20120203][qa!:11]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Style Editor (show other bugs)
: Trunk
: x86 All
-- normal (vote)
: Firefox 12
Assigned To: Paul Rouget [:paul]
:
: Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-25 03:42 PST by Paul Rouget [:paul]
Modified: 2012-02-07 08:05 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
patch v1 (6.44 KB, patch)
2012-01-25 07:11 PST, Paul Rouget [:paul]
mihai.sucan: review+
cedricv: feedback+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
Patch v1 - rebased for Aurora (6.51 KB, patch)
2012-01-30 05:02 PST, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review

Description User image Paul Rouget [:paul] 2012-01-25 03:42:36 PST
To avoid some frustration when the window is large enough to get the horizontal view.
Comment 1 User image Paul Rouget [:paul] 2012-01-25 07:11:48 PST
Created attachment 591456 [details] [diff] [review]
patch v1
Comment 2 User image Mihai Sucan [:msucan] 2012-01-25 09:53:57 PST
Comment on attachment 591456 [details] [diff] [review]
patch v1

Review of attachment 591456 [details] [diff] [review]:
-----------------------------------------------------------------

Patch looks good. Thanks Paul!
Comment 3 User image Paul Rouget [:paul] 2012-01-26 06:41:24 PST
https://hg.mozilla.org/integration/fx-team/rev/f0f0451c75eb
Comment 4 User image Tim Taubert [:ttaubert] 2012-01-27 02:30:36 PST
https://hg.mozilla.org/mozilla-central/rev/f0f0451c75eb
Comment 5 User image Paul Rouget [:paul] 2012-01-27 05:24:07 PST
Comment on attachment 591456 [details] [diff] [review]
patch v1

[Approval Request Comment]
Regression caused by (bug #): Not a regression, new feature.
User impact if declined: Bad UX. The StyleEditor UI will constantly be reorganized on resize.
Testing completed (on m-c, etc.): on m-c.
Risk to taking this patch (and alternatives if risky): low. Only CSS.
Comment 6 User image Alex Keybl [:akeybl] 2012-01-29 17:22:11 PST
Comment on attachment 591456 [details] [diff] [review]
patch v1

[Triage Comment]
Low risk fix in support of a new feature. Approved for Aurora.
Comment 7 User image Paul Rouget [:paul] 2012-01-30 05:02:32 PST
Created attachment 592661 [details] [diff] [review]
Patch v1 - rebased for Aurora
Comment 9 User image [:Aleksej] 2012-02-03 05:07:29 PST
Seems to work on Linux-x86_64 with
* 11.0b1 as opposed to Nightly 20120125.
* Aurora Gecko/20120202 Firefox/12.0a2 as opposed to Gecko/20120101 Firefox/11.0a2

However, on my system it means that the file list can be much larger than the editor while there is a lot of blank space. If the text was larger, even less of it would fit, and/or more horizontal scrolling would appear. Do the text sizes depend on anything, and if yes, what about deriving the width from them? See also bug 719457.
Comment 10 User image Paul Rouget [:paul] 2012-02-03 05:30:30 PST
(In reply to Aleksej [:Aleksej] from comment #9)
> Seems to work on Linux-x86_64 with
> * 11.0b1 as opposed to Nightly 20120125.
> * Aurora Gecko/20120202 Firefox/12.0a2 as opposed to Gecko/20120101
> Firefox/11.0a2
> 
> However, on my system it means that the file list can be much larger than
> the editor while there is a lot of blank space.

"blank space"?

> If the text was larger,

Which text?

> even less of it would fit, and/or more horizontal scrolling would appear. Do the
> text sizes depend on anything, and if yes, what about deriving the width
> from them? See also bug 719457.

Sorry - I am not sure to understand. Can you open a new bug with screenshots?
Comment 12 User image Simona B [:simonab ] 2012-02-07 08:05:38 PST
Mozilla/5.0 (Windows NT 6.1; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (X11; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0

Verified using Firefox 11 beta 1 on Win 7, Ubuntu 11.10 and Mac OS X 10.6 that the Style Editor switches to vertical only when the width  is < 550 px.

Note You need to log in before you can comment on or make changes to this bug.